@import url("https://fonts.googleapis.com/css2?family=Merriweather:ital,opsz,wght@0,18..144,300..900;1,18..144,300..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap");

* { 
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Montserrat", sans-serif; 
}

header {
    width: 100%;
    background-image: url(img/fondoHeader.png);
    background-size: cover; 
    background-position: right 0px top -90px;
    display: flex;
    flex-direction: column;
    margin-top: 87px; 
}

.logo{
    width: 60px;
}

nav {
    margin: 0 auto; 
    width: 70%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav.menu-fijo {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #F7F7F7; 
    z-index: 1000;
    padding: 11px 15%; 
}

.menu {
    list-style: none;
    display: flex;
    gap: 20px;
    color: #3A3A3A;
    padding: 5px 0;
    font-family: "Merriweather", serif;
    font-style: italic;
}

.menu-hamburguesa {
  display: none;
}

.hamburguesa {
  display: none;
  font-size: 30px;
  cursor: pointer;
  user-select: none;
}

.menu li a {
  text-decoration: none;
  color: inherit;
  transition: color 0.3s;
}

.menu li a:hover {
  color: #F45B69;
}

.txt-header {
    width: 100%;
    display: flex;
    text-align: center;
    color: #3A3A3A;
}

.der-header img{
    display: block;
    width: 100%;
}

.izq-header {
    width: 50%;
    padding-top: 140px;
}

.der-header {
    width: 50%;
}

.txt-header h1 {
    font-size: 30px;
    font-family: "Merriweather", serif;
    font-style: italic;
    font-weight: 600;
    margin-top: 45px;
}

.rosado {
    color: #F45B69;
}

.about-der h2 {
    font-family: "Merriweather", serif;
    font-style: italic;
    font-size: 23px;
    font-weight: 400;
    margin-bottom: 25px;
    text-align: center;
    color: #F7F7F7;
}

.about-der p {
    font-family: "Merriweather", serif;
    line-height: 1.7;
    font-size: 16px;
    color: #F7F7F7;
    font-weight: 300;
}

.about{
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    background-color: #2C2C2C;
}

.txt-vertical {
    position: absolute;
    left: 0px; 
    top: 37%;
    transform: rotate(180deg) translateY(50%);
    writing-mode: vertical-rl;
    font-style: italic;
    font-size: 14px;
    font-weight: 300;
    color: #F7F7F7;
    display: flex;
    align-items: center;
}

hr {
    width: 1px;
    height: 50px; 
    background-color: #F45B69;
    border: none;
    margin-bottom: 15px;
}

.about-izq{
    width: 45%;
    padding-left: 10px;
    position: relative;
}

.about-izq img {
    width: 100%;
}

.about-der{
    width: 55%;
    padding: 40px;
    position: relative;
}

.habilidades h2 {
    font-family: "Merriweather", serif;
    font-style: italic;
    font-size: 23px;
    font-weight: 400;
    margin-bottom: 25px;
    text-align: center;
    color: #F7F7F7;
}

.habilidades p {
    font-family: "Merriweather", serif;
    line-height: 1.7;
    font-size: 16px;
    color: #F7F7F7;
    font-weight: 300;
}

.habilidades{
    position: relative;
    width: 100%;
    display: flex;
    background-color: #2C2C2C;
}

.habilidades-izq{
    width: 50%;
    padding-left: 60px;
}

.txt-vertical2 {
    position: absolute;
    left: 0px; 
    margin-left: 20px; 
    top: 23%;
    transform: rotate(180deg) translateY(50%);
    writing-mode: vertical-rl;
    font-style: italic;
    font-size: 14px;
    font-weight: 300;
    color: #F7F7F7;
    display: flex;
    align-items: center;
}

.habilidades-der{
    width: 47%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    justify-content: center;
    gap: 25px;
    margin-bottom: 45px;
}

.habilidades img {
    width: 150px;
    height: 150px;
}

.mitad {
    margin-top: 30px;
}

.habilidades img-opacidad:hover {
    cursor: pointer;
}

.img-opacidad {
    position: relative;
    width: 150px;
    height: 150px;
    overflow: hidden;
    border-radius: 20px;
}
  
.img-opacidad img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: opacity 0.3s ease;
}
  
.texto {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); 
    color: #fff;
    font-size: 16px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    border-radius: 35px;
    text-align: center;
}
  
.img-opacidad:hover .texto{
    opacity: 1;
}
  
.img-opacidad:hover img {
    opacity: 0.6;
}

.softwares {
    display: flex;
    gap: 20px;
    margin-top: 25px;
    justify-content: center
}

.softwares img {
    width: 50px;
    height: 50px;
}

.portafolio {
    background-color: #F7F7F7;
    background-size: cover;
}

.portafolio h2 {
    font-family: "Merriweather", serif;
    font-style: italic;
    font-size: 23px;
    font-weight: 400;
    margin-bottom: 15px;
    color: #3A3A3A;
    padding-top: 40px;
    padding-left: 120px;
}

.portafolio p {
    font-family: "Merriweather", serif;
    font-style: italic;
    font-weight: 500;
    font-size: 16px;
    color: #3A3A3A;
    padding-left: 120px;
}

.carrusel {
  position: relative;
  width: 90%;
  margin: 0 auto;
  overflow: hidden;
  margin-top: 30px;
  padding-bottom: 70px;
}

.carrusel-responsive {
    display: none;
}

.deslizador {
  display: none;
  position: absolute;
  width: 100%;
  top: 0;
  justify-content: center;
  gap: 20px;
}

#deslizador1-radio:checked ~ .carrusel #deslizador1,
#deslizador2-radio:checked ~ .carrusel #deslizador2,
#deslizador3-radio:checked ~ .carrusel #deslizador3,
#deslizador4-radio:checked ~ .carrusel #deslizador4 ,
#deslizador5-radio:checked ~ .carrusel #deslizador5,
#deslizador6-radio:checked ~ .carrusel #deslizador6,
#deslizador7-radio:checked ~ .carrusel #deslizador7   {
  display: flex;
  position: relative;
}

.collage {
  flex: 0 0 30%;
}

.collage img {
  width: 100%;
  display: block;
}

.flecha {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 2rem;
  background: white;
  border-radius: 50%;
  padding: 10px;
  text-decoration: none;
  color: #2C2C2C;
  z-index: 10;
  cursor: pointer;
}

.flecha:hover {
  color: #F45B69;
  transform: translateY(-50%) scale(1.1);
}

.flecha.izq {
  left: 10px;
}

.flecha.der {
  right: 10px;
}

footer{
    background-color: #3A3A3A;
    padding: 20px;
}

.cont-footer {
    display: flex;
    justify-content: space-around;
    align-items: flex-start; 
    width: 90%;
    margin: 0 auto;
    flex-wrap: wrap;
}

.lateral-iz{
    width: 45%;
    display: flex;
    flex-wrap: wrap;
    padding-left: 85px;
}

.contacto h2 {
    color: white;
    margin-bottom: 15px;
    font-family: "Merriweather", serif;
    font-style: italic;
    font-size: 23px;
    font-weight: 400;
    padding-top: 45px;
    margin-bottom: 15px;
    color: #F7F7F7;    
}

.contacto p{
    color: white;
    line-height: 1.5;
    margin-bottom: 35px;
    font-family: "Merriweather", serif;
    font-style: italic;
    font-weight: 100;
    font-size: 16px;
    color: #F7F7F7;
}

.iconos {
    display: flex;
    width: 100%;
}

.icono1 {
    width: 30px;
}

.icono2 {
    width: 17px;
}

.texto-icono a {
  text-decoration: none;  
}

.texto-icono p {
  text-decoration: none;   
  color: inherit;         
  transition: color 0.3s;  
}

.texto-icono p:hover {
  color: #F45B69; 
}

.fila-icono {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 50%;
}

.texto-icono p {
    font-size: 15px;
    color: white;
    font-weight: 300;
    line-height: 1.5;
    font-family: "Merriweather", serif;
    font-style: italic;
}

.form {
    width: 45%;
    margin-top: 60px;
}

input {
    border: 0px solid transparent;
    outline: none;
    width: 75%;
    background: white;
    padding: 15px 20px;
    color: #7a7979;
    border-radius: 5px;
    margin-bottom: 25px;
}

input::placeholder {
    color: #7a7979;
    font-family: "Merriweather", serif;
    font-style: italic;
}

input:focus {
    box-shadow: 0 0 8px #ffaac0;
}

textarea {
    border: 0px solid transparent;
    outline: none;
    width: 75%;
    background: white;
    padding: 15px 20px;
    color: #7a7979;
    border-radius: 5px;
    margin-bottom: 25px;
    height: 150px;
    font-family: "Merriweather", serif;
    font-style: italic;
    vertical-align: top;    
    box-sizing: border-box; 
}

textarea:focus {
    box-shadow: 0 0 8px #ffaac0;
}

.btn-message {
    margin-top: 5px;
    margin-bottom: 30px;
    display: flex;
    justify-content: flex-start;
}

.btn-secundary {
    background-color: #F45B69;
    color: white;
    border: 1px solid #FF6477;
    border-radius: 25px;
    padding: 16px 40px;
    font-size: 14px;
    cursor: pointer;
    font-family: "Merriweather", serif;
    font-style: italic;
}

.btn-secundary:hover {
    background-color: #F7F7F7;
    color: #3A3A3A;
}

.copy {
    width: 100%;
}

.horizontal-final{
    width: 83%;
    height: 1px;
    background-color: #7a7979;
    margin: 30px auto 15px auto;
}

.copy p {
    color: white;
    font-size: 12px;
    margin: 0;
    text-align: center;
    margin-top: 25px;
    font-family: "Merriweather", serif;
    font-style: italic; 
    font-weight: 200;
}

/*RESPONSIVE*/

/*Tablet*/
@media (width >= 768px) and (width < 991px)  {  
    .menu{
        align-items: center;
        width: 70%;
        font-size: 14px;
    }

    header {
        background-size: cover; 
        background-position: right 750px top -120px;
    }

    .txt-header {
        flex-direction: column;
        align-items: center;
        margin-top: -82px;
    }

    .der-header {
        text-align: center;
    }

    .about-izq{
        display: none;
    }

    .about-der{
        margin: 0 auto;
        width: 80%;
    }

    .habilidades {
        flex-direction: column-reverse;
        align-items: center;
    }

    .habilidades-izq{
        width: 80%;
    }

    .habilidades-der{
        width: 80%;
    }

    .txt-vertical2{
        margin-left: 95px; 
        top: 75%;
    }

    .softwares {
        margin-bottom: 40px;
    }

    .carrusel {
        display: none; 
    }

    .carrusel-responsive .deslizador {
        display: none;
        position: static; 
        justify-content: center;
        gap: 20px;
        width: 100%;
        margin-bottom: 20px; 
    }

    .carrusel-responsive {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        position: relative; 
        padding-bottom: 30px;
    }

    #deslizador1-m-radio:checked ~ .carrusel-responsive #deslizador1-m,
    #deslizador2-m-radio:checked ~ .carrusel-responsive #deslizador2-m,
    #deslizador3-m-radio:checked ~ .carrusel-responsive #deslizador3-m,
    #deslizador4-m-radio:checked ~ .carrusel-responsive #deslizador4-m,
    #deslizador5-m-radio:checked ~ .carrusel-responsive #deslizador5-m,
    #deslizador6-m-radio:checked ~ .carrusel-responsive #deslizador6-m,
    #deslizador7-m-radio:checked ~ .carrusel-responsive #deslizador7-m,
    #deslizador8-m-radio:checked ~ .carrusel-responsive #deslizador8-m,
    #deslizador9-m-radio:checked ~ .carrusel-responsive #deslizador9-m,
    #deslizador10-m-radio:checked ~ .carrusel-responsive #deslizador10-m {
        display: flex;
    }

    .collage {
        width: 45%; 
    }

    .cont-footer{
        flex-direction: column;
        align-items: center;
    }

    .lateral-iz {
        padding-left: 0;
        width: 70%; 
    }

    .form {
        width: 57%;
    }

    input {
        width: 100%;
    }

    textarea {
        width: 100%;
    }
}

/*Celular*/
@media (max-width: 767px) { 
    .logo {
        margin: 0 auto;
    } 
    
    .hamburguesa {
        display: block;
        color: #3A3A3A;
        z-index: 2;
    }

    .menu {
        display: none;
        position: absolute;
        top: 60px;
        right: 0;
        background-color: #3A3A3A;
        width: 100%;
        flex-direction: column;
        text-align: center;
        padding: 20px 0;
        gap: 10px;
        width: 250px;
        right: 20px; 
        border-radius: 8px;
    }

    .menu li a {
        color: white;
        font-size: 15px;
    }

    .menu li {
        border-bottom: 1px solid #888; 
        padding: 10px 0;
    }

    .menu li:last-child {
        border-bottom: none; 
    }

    .hamburguesa i {
        color: #3A3A3A; 
        transition: color 0.3s, transform 0.3s;
    }

    .hamburguesa:hover i {
        color: #F45B69;
        transform: scale(1.2); 
        cursor: pointer;
    }

    .menu-hamburguesa:checked + .hamburguesa + .menu {
        display: flex;
    }

    header {
    background-position: right -310px top 255px;
    }

    .txt-header{
        flex-direction: column;
        align-items: center;
        margin-top: -92px;
        margin-bottom: 45px;
    }

    .txt-header h1{
        font-size: 25px;
    }

    .der-header {
        display: none;
    }

    .about-izq{
        display: none;
    }

    .about-der{
        margin: 0 auto;
        width: 80%;
        text-align: center;
    }

    .habilidades {
        flex-direction: column-reverse;
        align-items: center;
    }

    .habilidades-izq{
        width: 80%;
        text-align: center;
        padding-left: 40px;
    }

    .habilidades-der{
        width: 100%;
    }

    .txt-vertical{
        top: 20%;
    }

    .txt-vertical2{
        margin-left: 35px; 
        top: 65%;
    }

    .softwares {
        width: 80%;
        display: flex;
        flex-wrap: wrap;
        margin: 25px auto 50px auto; 
    }

    .portafolio h2 {
        padding-left: 50px;
    }

    .portafolio p {
        padding-left: 50px;
    }

    .flecha {
        top: 40%;
        font-size: 1rem;
    }

    .carrusel {
        display: none; 
    }

    .carrusel-responsive .deslizador {
        display: none;
        position: static;
        justify-content: center;
        gap: 20px;
        width: 100%;
        margin-bottom: 20px; 
    }

    .carrusel-responsive {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        position: relative;
        padding-bottom: 30px;
    }

    #deslizador1-m-radio:checked ~ .carrusel-responsive #deslizador1-m,
    #deslizador2-m-radio:checked ~ .carrusel-responsive #deslizador2-m,
    #deslizador3-m-radio:checked ~ .carrusel-responsive #deslizador3-m,
    #deslizador4-m-radio:checked ~ .carrusel-responsive #deslizador4-m,
    #deslizador5-m-radio:checked ~ .carrusel-responsive #deslizador5-m,
    #deslizador6-m-radio:checked ~ .carrusel-responsive #deslizador6-m,
    #deslizador7-m-radio:checked ~ .carrusel-responsive #deslizador7-m,
    #deslizador8-m-radio:checked ~ .carrusel-responsive #deslizador8-m,
    #deslizador9-m-radio:checked ~ .carrusel-responsive #deslizador9-m,
    #deslizador10-m-radio:checked ~ .carrusel-responsive #deslizador10-m {
        display: flex;
    }

    .collage {
        width: 45%; 
    }

    .cont-footer{
        flex-direction: column;
        align-items: center;   
    }

    .lateral-iz {
        padding-left: 0; 
        width: 80%; 
        text-align: center;
    }
    
    .form {
        width: 75%;
    }

    .fila-icono{
        flex-direction: column;
    }

    input {
        width: 100%;
    }

    textarea {
        width: 100%;
    }

    .btn-message {
        justify-content: center;
    }
}

